*
* Program....: Expand.Prg
* System.....: Marvelous.Lib  -  Summer '87 Version
* Author.....: Michael Clerc
* Date.......: Mon  11-04-1991
* Purpose....: Just some fancy screen play
*            :
* Copyright..:           Simply Marvelous Solutions
*                               Mesa, AZ
*                     (c) 1992 - All Rights Reserved
*
Function Expand
Parameters cMessage, nRow, nDelay, nMiddle
Private nMessLen, nLoop, cMessage2, nStall
*
* cMessage   = message to display
* nRow       = nRow at which to display message
* nDelay     = nDelay for spread effect (optional, default is 8)
* nMiddle    = column at which to begin spread (optional, default 40)
*
nDelay    = If(PCount() < 3, 8, nDelay)
nMiddle   = If(PCount() < 4, 40, nMiddle)
cMessage2 = ''
nMessLen  = Len(cMessage)

For nLoop = 1 to Int(nMessLen / 2)
  cMessage2 = Substr(cMessage, 1, nLoop) + Substr(cMessage, nMessLen + 1 - nLoop, nLoop)
  @ nRow, nMiddle - nLoop Say cMessage2
  For nStall = 1 to nDelay
  Next
Next

If nMessLen % 2 = 1
  @ nRow, nMiddle - nLoop Say cMessage
Endif
Return(.T.)
* Eof.........: Expand.Prg
